[#-------------- INCLUDE AND ASSIGN PART --------------]
[#-- Include: Global --]
[#include "/mte/templates/macros/pagination.ftl"]
[#-- Assigns: Definition parameters --]
[#assign hideTeaserImage = content.hideTeaserImage!false]
[#assign divClass = def.parameters.divClass!"text-section"]
[#assign divIDPrefix = def.parameters.divIDPrefix!]

[#if divIDPrefix?has_content]
    [#assign divID = 'id="${divIDPrefix}-${ctx.index!content.@id!}"']
[#elseif def.divID?has_content]
    [#assign divID = 'id="${def.divID}"']
[#else]
    [#assign divID = ""]
[/#if]

[#if hideTeaserImage]
    [#assign divClass = "${divClass} no-img"]
[/#if]

[#-- Assigns: Get and check latest posts --]
[#assign pager = model.pager!]
[#assign postsList = cmsfn.asContentMapList(pager.pageItems)!]
[#assign hasPostsList = postsList?has_content]

[#assign hasTitle = feedsTitle?has_content]

[#assign lastDate = ""]

[#-- Assigns: Macro for Item iteration --]
[#macro assignPostValues post]
    [#-- Assigns: Get Content from List Item--]
    [#assign postAuthor = post.author!]
    [#assign postTitle = post.title!]
    [#assign postDate = model.convertPubDate(post.pubDate!)!]

    [#assign postContent = model.getDescription(post.description!, content.descriptionCut!)!]

    [#assign postLink = post.link!]

    [#assign postHgLink = ""]
    [#if post.rssLink?has_content ]
        [#assign postHgLink = model.getHackergotchi(post.rssLink!)!]
    [/#if]
    [#assign postAuthorTitle = ""]
    [#if post.rssLink?has_content ]
        [#assign postAuthorTitle = model.getFeedTitle(post.rssLink!)!]
        [#if postAuthorTitle?has_content ]
            [#assign postAuthor = postAuthorTitle]
        [/#if]
    [/#if]
    [#if postAuthor?length > 25][#assign postAuthor = postAuthor?substring(0, 25) + "..."][/#if]

    [#if !postHgLink?has_content]
        [#assign postHgLink = ctx.contextPath + "/.resources/default.png"]
    [/#if]

    [#-- Assigns: Availability of post content --]
    [#assign hasAuthor = postAuthor?has_content]
    [#assign hasTitle = postTitle?has_content]
    [#assign hasDate = postDate?has_content]
    [#assign hasContent = postContent?has_content]
    [#assign hasLink = postLink?has_content]
    [#assign hasHgLink = postHgLink?has_content]
[/#macro]

[#-------------- RENDERING PART --------------]
[#-- Rendering: Latest posts --]

<div class="${divClass}" ${divID}>

    [#if content.title?has_content ]
        <h2>${content.title}</h2>
    [/#if]

    [#if hasPostsList]

    [#-- Macro: Pager --]
    <p>[@pagination pager "top" /]</p>

        <ul>
            [#list postsList as post]
                [#-- Macro: Post assigns --]
                [@assignPostValues post=post/]

                [#-- Rendering: Post rendering --]
                <li class="no-img">
                [#if lastDate == "" || lastDate != postDate?date?string.full]
                    <h3 class="date">
                        ${postDate?date?string.full}
                    </h3>
                    [#assign lastDate = postDate?date?string.full]
                [/#if]
                    <div class="feedText">
                    <h4 class="title">
                       <a href="${postLink}" class="title">${postTitle}</a>
                     </h4>
                   [#if hasHgLink]
                        <div class="hackergotchi"><img src="${postHgLink}" title="Hackergotchi" alt="HG" /><br>
                        [#if hasAuthor]${postAuthor}[/#if]
                        </div>
                   [/#if]
                    [#if hasContent]
                        ${postContent}
                    [/#if]
                   </div>
                   <br/>
                </li>
            [/#list]
        </ul>
    [#else]
        <ul>
            <p>${i18n['rssaggregator.template.noResults']}</p>
        </ul>
    [/#if]

</div><!-- end ${divClass} -->

[#-- Macro: Pager --]
[@pagination pager "bottom" /]
